Bug 181111 - net/dropbox-api-command: update to 1.13
Summary: net/dropbox-api-command: update to 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 12:40 UTC by lorne
Modified: 2013-08-09 10:20 UTC (History)
0 users

See Also:


Attachments
0002-net-dropbox-api-command-update-to-1.13.patch (2.97 KB, patch)
2013-08-07 12:40 UTC, lorne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lorne 2013-08-07 12:40:00 UTC
Update to 1.13

Requires net/p5-WebService-Dropbox >= 1.17, 1.18 is provided by
ports/181110.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-07 12:40:07 UTC
Maintainer of net/dropbox-api-command,

Please note that PR ports/181111 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181111

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-07 12:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Frederic Culot freebsd_committer 2013-08-08 08:12:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 4 changlp 2013-08-08 08:33:00 UTC
Thanks, please commit it.

2013/8/7 Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of net/dropbox-api-command,
>
> Please note that PR ports/181111 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/181111
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



--=20
Lung-Pin Chang =E5=BC=B5=E7=93=8F=E7=B9=BD

Wireless Internet Laboratory & Computer Center
Department of Computer Science
National Chiao Tung University
Comment 5 dfilter service freebsd_committer 2013-08-09 10:18:22 UTC
Author: culot
Date: Fri Aug  9 09:18:13 2013
New Revision: 324423
URL: http://svnweb.freebsd.org/changeset/ports/324423

Log:
  - Update to 1.13 [1]
  - Trim Makefile's header [1]
  - Convert to new Uses/perl5.mk framework
  - Add LICENSE (MIT)
  
  Changes:	http://search.cpan.org/dist/App-dropboxapi/Changes
  PR:		ports/181111 [1]
  Submitted by:	Andrew Childs <lorne@cons.org.nz>
  Approved by:	Lung-Pin Chang <changlp@cs.nctu.edu.tw> (maintainer)

Modified:
  head/net/dropbox-api-command/Makefile
  head/net/dropbox-api-command/distinfo

Modified: head/net/dropbox-api-command/Makefile
==============================================================================
--- head/net/dropbox-api-command/Makefile	Fri Aug  9 09:03:23 2013	(r324422)
+++ head/net/dropbox-api-command/Makefile	Fri Aug  9 09:18:13 2013	(r324423)
@@ -1,39 +1,47 @@
-# New ports collection makefile for:	dropbox-api-command
-# Date created:		2011-07-14
-# Whom:			Lung-Pin Chang <changlp@cs.nctu.edu.tw>
-#
+# Created by: Lung-Pin Chang <changlp@cs.nctu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	dropbox-api-command
-PORTVERSION=	1.05
+PORTVERSION=	1.13
 PORTEPOCH=	1
 CATEGORIES=	net
 
 MAINTAINER=	changlp@cs.nctu.edu.tw
 COMMENT=	Dropbox API wrapper command
 
-RUN_DEPENDS=	p5-DateTime-Format-Strptime>=0:${PORTSDIR}/devel/p5-DateTime-Format-Strptime \
+LICENSE=	MIT
+
+BUILD_DEPENDS=	p5-DateTime-Format-Strptime>=0:${PORTSDIR}/devel/p5-DateTime-Format-Strptime \
 		p5-Encode-Locale>=0:${PORTSDIR}/converters/p5-Encode-Locale \
 		p5-JSON>=0:${PORTSDIR}/converters/p5-JSON \
-		p5-WebService-Dropbox>=1.09:${PORTSDIR}/net/p5-WebService-Dropbox \
-		p5-Path-Class>=0:${PORTSDIR}/devel/p5-Path-Class
+		p5-WebService-Dropbox>=1.17:${PORTSDIR}/net/p5-WebService-Dropbox \
+		p5-Path-Class>=0.26:${PORTSDIR}/devel/p5-Path-Class
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	s-aska
 GH_TAGNAME=	${PORTVERSION}
-GH_COMMIT=	cd3a707
+GH_COMMIT=	1c843ed
+
+USES=		perl5
+USE_PERL5=	configure
 
-NO_BUILD=	yes
-USE_PERL5_RUN=	yes
+# There is documentation contained in an otherwise empty library
+# (App::dropboxapi). In post-patch copy it over to the main
+# dropbox-api script so the perl build process makes a dropbox-api.1,
+# and override do-install to only copy the useful parts, i.e., not the
+# empty library.
 
+MAN1=	dropbox-api.1
 PLIST_FILES=	bin/dropbox-api bin/upload-to-dropbox
 
 post-patch:
 	${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|g' ${WRKSRC}/upload-to-dropbox
+	${TAIL} +3 ${WRKSRC}/lib/App/dropboxapi.pm >> ${WRKSRC}/dropbox-api
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/dropbox-api ${PREFIX}/bin/
-	${INSTALL_SCRIPT} ${WRKSRC}/upload-to-dropbox ${PREFIX}/bin/
+	${INSTALL_MAN}    ${WRKSRC}/blib/man1/dropbox-api.1 ${PREFIX}/man/man1/
+	${INSTALL_SCRIPT} ${WRKSRC}/blib/script/dropbox-api ${PREFIX}/bin/
+	${INSTALL_SCRIPT} ${WRKSRC}/upload-to-dropbox       ${PREFIX}/bin/
 
 .include <bsd.port.mk>

Modified: head/net/dropbox-api-command/distinfo
==============================================================================
--- head/net/dropbox-api-command/distinfo	Fri Aug  9 09:03:23 2013	(r324422)
+++ head/net/dropbox-api-command/distinfo	Fri Aug  9 09:18:13 2013	(r324423)
@@ -1,2 +1,2 @@
-SHA256 (dropbox-api-command-1.05.tar.gz) = a04c84f01dd77941ad46db162c4ed36caeace5f4601b5c9e932eb57335642fdc
-SIZE (dropbox-api-command-1.05.tar.gz) = 7524
+SHA256 (dropbox-api-command-1.13.tar.gz) = db42fa3d8a1788866d11f97e7422d221d606ea745c1398a5f6165f0364ef92a8
+SIZE (dropbox-api-command-1.13.tar.gz) = 11327
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Frederic Culot freebsd_committer 2013-08-09 10:18:27 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!